// ForbiddenPointsView.h : interface of the CForbiddenPointsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORBIDDENPOINTSVIEW_H__D49D790F_DB8C_4E3A_942C_F3B5F17ED039__INCLUDED_)
#define AFX_FORBIDDENPOINTSVIEW_H__D49D790F_DB8C_4E3A_942C_F3B5F17ED039__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "External/ForbiddenPointFinder.h"

class CForbiddenPointsView : public CFormView
{
protected: // create from serialization only
	CForbiddenPointsView();
	DECLARE_DYNCREATE(CForbiddenPointsView)

public:
	//{{AFX_DATA(CForbiddenPointsView)
	enum { IDD = IDD_FORBIDDENPOINTS_FORM };
	//}}AFX_DATA
	CPoint	listStone[225];
	int		nTotal;
	int		nCurrent;
	CForbiddenPointFinder finder;

// Attributes
public:
	CForbiddenPointsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CForbiddenPointsView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	void UpdateTextBoard();
	void MakeMove(CString strMove);
	virtual ~CForbiddenPointsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CForbiddenPointsView)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ForbiddenPointsView.cpp
inline CForbiddenPointsDoc* CForbiddenPointsView::GetDocument()
   { return (CForbiddenPointsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORBIDDENPOINTSVIEW_H__D49D790F_DB8C_4E3A_942C_F3B5F17ED039__INCLUDED_)
